<CodeSystem xmlns="http://hl7.org/fhir">
  <id value="v3-CompressionAlgorithm" />
  <text>
    <status value="generated" />
    <div xmlns="http://www.w3.org/1999/xhtml">
      <p>The narrative has been removed to reduce the size of the distribution of the Hl7.Fhir.Specification library</p>
    </div>
  </text>
  <extension url="http://hl7.org/fhir/StructureDefinition/structuredefinition-ballot-status">
    <valueString value="External" />
  </extension>
  <extension url="http://hl7.org/fhir/StructureDefinition/structuredefinition-fmm">
    <valueInteger value="0" />
  </extension>
  <url value="http://hl7.org/fhir/v3/CompressionAlgorithm" />
  <identifier>
    <system value="urn:ietf:rfc:3986" />
    <value value="urn:oid:2.16.840.1.113883.5.1009" />
  </identifier>
  <version value="2016-11-11" />
  <name value="v3 Code System CompressionAlgorithm" />
  <status value="active" />
  <experimental value="false" />
  <date value="2016-11-11T00:00:00+00:00" />
  <publisher value="HL7, Inc" />
  <contact>
    <telecom>
      <system value="url" />
      <value value="http://hl7.org" />
    </telecom>
  </contact>
  <description value="**** MISSING DEFINITIONS ****" />
  <caseSensitive value="true" />
  <valueSet value="http://hl7.org/fhir/ValueSet/v3-CompressionAlgorithm" />
  <hierarchyMeaning value="is-a" />
  <content value="complete" />
  <concept>
    <code value="BZ" />
    <display value="bzip" />
    <definition value="bzip-2 compression format. See [http://www.bzip.org/] for more information." />
  </concept>
  <concept>
    <code value="DF" />
    <display value="deflate" />
    <definition value="The deflate compressed data format as specified in RFC 1951 [http://www.ietf.org/rfc/rfc1951.txt]." />
  </concept>
  <concept>
    <code value="GZ" />
    <display value="gzip" />
    <definition value="A compressed data format that is compatible with the widely used GZIP utility as specified in RFC 1952 [http://www.ietf.org/rfc/rfc1952.txt] (uses the deflate algorithm)." />
  </concept>
  <concept>
    <code value="Z" />
    <display value="compress" />
    <definition value="Original UNIX compress algorithm and file format using the LZC algorithm (a variant of LZW).  Patent encumbered and less efficient than deflate." />
  </concept>
  <concept>
    <code value="Z7" />
    <display value="Z7" />
    <definition value="7z compression file format. See [http://www.7-zip.org/7z.html] for more information." />
  </concept>
  <concept>
    <code value="ZL" />
    <display value="zlib" />
    <definition value="A compressed data format that also uses the deflate algorithm.  Specified as RFC 1950 [http://www.ietf.org/rfc/rfc1952.txt]" />
  </concept>
</CodeSystem>